strneqvcmp(3)

NAME
strneqvcmp - compare two strings with an equivalence mapping

SYNOPSIS
#include <your-opts.h>
cc [...] -o outfile infile.c -lopts [...]

int strneqvcmp(char const * str1, char const * str2, int ct);

DESCRIPTION
Using a character mapping, two strings are compared for "equivalence". Each input character is mapped to a comparison character and the mapped-to characters are compared for the two NUL terminated input strings. The comparison is limited to ct bytes. This function name is mapped to option_strneqvcmp so as to not conflict with the POSIX name space.

str1
    first string

str2
    second string

ct  compare length

RETURN VALUE
the difference between two differing characters

ERRORS
none checked. Caller responsible for seg faults.

SEE ALSO
The info documentation for the -lopts library.
ao_string_tokenize(3), configFileLoad(3), optionFileLoad(3), optionFindNextValue(3), optionFindValue(3), optionFree(3), optionGetValue(3), optionLoadLine(3), optionMemberList(3), optionNextValue(3), optionOnlyUsage(3), optionPrintVersion(3), optionPrintVersionAndReturn(3), optionProcess(3), optionRestore(3), optionSaveFile(3), optionSaveState(3), optionUnloadNested(3), optionVersion(3), strequate(3), streqvcmp(3), streqvmap(3), strtransform(3),